> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulsy.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Chains

> Retrieves all blockchains tracked by XFlow.



## OpenAPI

````yaml GET /v1/external/chains
openapi: 3.0.1
info:
  title: ExternalAPI
  version: v1
servers:
  - url: https://api.pulsy.app
    description: XFlow Production API
security:
  - Basic: []
  - Bearer: []
paths:
  /v1/external/chains:
    get:
      tags:
        - External
      description: Retrieves all blockchains tracked by XFlow.
      operationId: ExportSupportedChains
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SupportedChainExported'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SupportedChainExported'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SupportedChainExported'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DefaultValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/DefaultValidationProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DefaultProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/DefaultProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/UnexpectedProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/UnexpectedProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/UnexpectedProblemDetails'
components:
  schemas:
    SupportedChainExported:
      type: object
      properties:
        blockchainId:
          type: string
          description: Unique identifier of the blockchain.
          nullable: true
        name:
          type: string
          description: Human-readable blockchain name.
          nullable: true
        explorerUrl:
          type: string
          description: URL of the chain explorer.
          nullable: true
      additionalProperties: false
      description: Chain metadata exposed through the external API.
    DefaultValidationProblemDetails:
      type: object
      properties:
        errorCode:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    DefaultProblemDetails:
      type: object
      properties:
        errorCode:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    UnexpectedProblemDetails:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        traceId:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Basic:
      type: http
      description: >-
        Basic auth required for external APIs. Example: "Authorization: Basic
        {base64EncodedPasswordString}"
      scheme: basic
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````